import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Displays text and choices available to the user.
 * Created by Michael, editted by me.
 */
public class Textbox extends Actor
{
    private String message;
    private String title;
    private final int width = 650, height = 75;
    private static final int titleHeight = 20;
    
    /**
     * Create a new Textbox with a message and a title
     */
    public Textbox(String message, String title)
    {
        this.message = message;
        this.title = title;
        makeFrame();
    }
    
    /**
     * Create a new Textbox with a message and a default title
     */    
    public Textbox(String message)
    {
        this.message = message;
        title = "Greenfoot";
        makeFrame();
    }
    
    private void makeFrame()
    {
        GreenfootImage frame = new GreenfootImage(width, height+titleHeight);
        GreenfootImage title = new GreenfootImage(width, titleHeight);
        GreenfootImage body = new GreenfootImage(width, height);
        
        //Now fill in the colours
        title.setColor(java.awt.Color.BLACK);
        body.setColor(java.awt.Color.BLUE);
        title.fill();
        body.fill();
        
        //Now write the text onto the frame
        body.setColor(java.awt.Color.WHITE);
        title.setColor(java.awt.Color.WHITE);
        title.drawString(this.title, 0, titleHeight/2+5);
        body.drawString(message, 10, body.getHeight()/2);
        
        //Now add the parts of the frame onto the frame
        frame.drawImage(title, 0, 0);
        frame.drawImage(body, 0, titleHeight);
        
        setImage(frame);
    }
}